using SqlSugar;
using System;
using System.Runtime.Serialization;
using WCS.Entity.Protocol.Protocol.Robot;

namespace WCS.Entity.Protocol.Robot
{
    [DataContract]
    [SugarTable("FJ_Robot522")]
    public class WCS_Robot522 : IRobot522
    {
        [DataMember(Order = 0)]
        public RobotAlarm Alarm { get; set; }

        [DataMember(Order = 1)]
        public new DateTime Frame { get; set; }

        [DataMember(Order = 2)]
        public new string Code { get; set; }
    }

    [DataContract]
    [SugarTable("FJ_Robot522")]
    public class QuestDb_Robot522
    {
        [DataMember(Order = 0)]
        public string Alarm { get; set; }

        [DataMember(Order = 1)]
        [TimeDbSplitField(DateType.Day)]
        public new DateTime Frame { get; set; }

        [DataMember(Order = 2)]
        [SugarColumn(ColumnDataType = "symbol")]
        public new string Code { get; set; }
    }
}
